# PetscStrcmp

Compares two strings,

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscStrcmp(const char a[],const char b[],PetscTruth *flg)

Not Collective

### Input Parameters

| a | - pointer to string first string
| b | - pointer to second string

### Output Parameter

flg -if the two strings are equal

### See Also

PetscStrgrt(), PetscStrncmp(), PetscStrcasecmp()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages